´html,
body {
    height: 100%;
    margin: 0;
    font-family: 'Open Sans', sans-serif;
}

´#map-container {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

#loipen-map {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#warnungen {
    position: absolute;
    top: 80px;
    left: 80px;
    width: auto;
    text-align: center;
    z-index: 10;
    pointer-events: none;
}

.warn-banner {
    display: inline-block;
    background: linear-gradient(90deg, #ff7f11, #ffa533);
    color: #fff;
    padding: 1.2em 3em;
    font-size: 3em;
    font-weight: bold;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
    border-radius: 8px;
    animation: border-pulse 3s infinite;

}

#logo-container {
    position: absolute;
    top: 80px;
    right: 80px;
    z-index: 20;
    pointer-events: auto;
}

.map-logo {
    display: block;
    max-height: 13vh;
    width: auto;
}


#loipen-legend {
    position: absolute;
    z-index: 5000;
    bottom: 20px;
    right: 20px;
    background: rgba(255, 255, 255, 0);
    padding: 20px 28px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px 40px;
    font-size: 50px;
}

#loipen-legend div {
    display: flex;
    align-items: center;
    gap: 9px;
}

#loipen-legend .label {
    margin-left: 10px;
}

#loipen-legend span:not(.label) {
    display: inline-block;
    width: 50px;
    height: 19px;
    border-radius: 9px;
}

#loipen-legend .green {
    background-color: #4caf50;
}

#loipen-legend .yellow {
    background-color: #ffb300;
}

#loipen-legend .red {
    background-color: #e53935;
}

/* Pulsierende Animation */
/* @keyframes pulse-banner {
    0% {
        transform: scale(1);
        opacity: 0.9;
    }

    50% {
        transform: scale(1.05);
        opacity: 1;
    }

    100% {
        transform: scale(1);
        opacity: 0.9;
    }
} */

@keyframes pulse-soft {
    0% {
        transform: scale(1);
        opacity: 0.9;
    }

    50% {
        transform: scale(1.06);
        opacity: 1;
        box-shadow: 0 0 10px rgba(30, 58, 138, 0.3);
    }

    100% {
        transform: scale(1);
        opacity: 0.9;
        box-shadow: none;
    }
}

@keyframes border-pulse {
    0% {
        box-shadow: 0 0 0 0 rgba(30, 58, 138, 0.3);
    }

    70% {
        box-shadow: 0 0 0 50px rgba(30, 58, 138, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(30, 58, 138, 0);
    }
}

@keyframes glow-pulse {
    0% {
        transform: scale(1);
        box-shadow: 0 0 4px rgba(30, 58, 138, 0.2);
    }

    50% {
        transform: scale(1.03);
        box-shadow: 0 0 12px rgba(30, 58, 138, 0.4);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 4px rgba(30, 58, 138, 0.2);
    }
}